Security
(bearer and appkey) or (sauth_service_token and appkey)
A list of activity entities to be created or updated
Array [
]
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/activities
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/activities
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/activities
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/activities \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
{
"id": "string",
"activity_end_md": 0.1,
"activity_catalog_id": "string",
"activity_start_md": 0.1,
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"hole_top_md": 0.1,
"hole_top_tvd": 0.1,
"comments": "string",
"data_source": "string",
"description": "string",
"end_date": "2019-08-24T14:15:22Z",
"npt_reason": "string",
"start_date": "2019-08-24T14:15:22Z",
"time_classification": "string",
"well_guid": "string",
"hole_size": 0.1
}
]'Created
Response
- text/plain
- application/json
- text/json
{
"total_entity_count": 0,
"created_entity_count": 0,
"updated_entity_count": 0,
"created_entities": [
{
"well_name": "string",
"duration": 0.1,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"activity_end_md": 0.1,
"activity_catalog_id": "string",
"activity_start_md": 0.1,
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"hole_top_md": 0.1,
"hole_top_tvd": 0.1,
"comments": "string",
"data_source": "string",
"description": "string",
"end_date": "2019-08-24T14:15:22Z",
"npt_reason": "string",
"start_date": "2019-08-24T14:15:22Z",
"time_classification": "string",
"well_guid": "string",
"hole_size": 0.1
}
],
"updated_entities": [
{
"well_name": "string",
"duration": 0.1,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"activity_end_md": 0.1,
"activity_catalog_id": "string",
"activity_start_md": 0.1,
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"hole_top_md": 0.1,
"hole_top_tvd": 0.1,
"comments": "string",
"data_source": "string",
"description": "string",
"end_date": "2019-08-24T14:15:22Z",
"npt_reason": "string",
"start_date": "2019-08-24T14:15:22Z",
"time_classification": "string",
"well_guid": "string",
"hole_size": 0.1
}
],
"entity_violations": [
{
"source": {
"well_name": "string",
"duration": 0.1,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"activity_end_md": 0.1,
"activity_catalog_id": "string",
"activity_start_md": 0.1,
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"hole_top_md": 0.1,
"hole_top_tvd": 0.1,
"comments": "string",
"data_source": "string",
"description": "string",
"end_date": "2019-08-24T14:15:22Z",
"npt_reason": "string",
"start_date": "2019-08-24T14:15:22Z",
"time_classification": "string",
"well_guid": "string",
"hole_size": 0.1
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}